Create QES Session Link
curl --request POST \
--url https://api-umbrella.io/api/services/onboarding/createSessionLink \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "support@idcanopy.com",
"phoneNumber": "+436508021530",
"redirectUrl": "https://example.com/onboarding/success",
"docUrl": "https://cdn.idcanopy.com/pdf/onb-t3.pdf",
"signForms": [
{
"fieldId": "Signature1",
"actorId": "userToIdentify"
},
{
"fieldId": "Signature2",
"actorId": "userToIdentify"
}
],
"fillForm": [
{
"fieldId": "name",
"value": "${identification.firstName}"
},
{
"fieldId": "surname",
"value": "${identification.lastName}"
}
]
}
'import requests
url = "https://api-umbrella.io/api/services/onboarding/createSessionLink"
payload = {
"email": "support@idcanopy.com",
"phoneNumber": "+436508021530",
"redirectUrl": "https://example.com/onboarding/success",
"docUrl": "https://cdn.idcanopy.com/pdf/onb-t3.pdf",
"signForms": [
{
"fieldId": "Signature1",
"actorId": "userToIdentify"
},
{
"fieldId": "Signature2",
"actorId": "userToIdentify"
}
],
"fillForm": [
{
"fieldId": "name",
"value": "${identification.firstName}"
},
{
"fieldId": "surname",
"value": "${identification.lastName}"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'support@idcanopy.com',
phoneNumber: '+436508021530',
redirectUrl: 'https://example.com/onboarding/success',
docUrl: 'https://cdn.idcanopy.com/pdf/onb-t3.pdf',
signForms: [
{fieldId: 'Signature1', actorId: 'userToIdentify'},
{fieldId: 'Signature2', actorId: 'userToIdentify'}
],
fillForm: [
{fieldId: 'name', value: '${identification.firstName}'},
{fieldId: 'surname', value: '${identification.lastName}'}
]
})
};
fetch('https://api-umbrella.io/api/services/onboarding/createSessionLink', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"data": {
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"url": "https://example.com/api/v2/actorTrip/urlback?t=EXAMPLE_TOKEN",
"expiresAfter": "2025-07-30T08:55:52.520909994Z"
}
}{
"message": "Invalid request payload"
}{
"message": "Unauthorized request"
}QES Onboarding
QES Onboarding Create Session Link Service
QES Onboarding Create Session Link Service API Documentation
POST
/
onboarding
/
createSessionLink
Create QES Session Link
For a usage description of the QES Onboarding Create Session Link Service, please refer to the QES Onboarding page.
Endpoint
POST/onboarding/createSessionLink
Swagger
Authorizations
Bearer token obtained from POST /auth. Valid for 60 minutes.
Body
application/json
User's email address.
Example:
"user@example.com"
User's phone number (E.164 format).
Pattern:
^\+?[1-9]\d{1,14}$Example:
"+436769556026"
URL to redirect user to after signing.
Example:
"https://example.com/onboarding/success"
Public HTTPS URL of the PDF to sign. Must be accessible without auth headers.
Pattern:
^https://Example:
"https://cdn.idcanopy.com/pdf/onb-t3.pdf"
Signature fields in the PDF (AcroForm field IDs).
Show child attributes
Show child attributes
Pre-fillable text fields in the PDF.
Show child attributes
Show child attributes
⌘I